#include "FAlloc.h"
#include "BTree.h"

#include <stdio.h>
#include <string.h>

    extern Allocator alloc;
extern char *modelName;
extern FILE *convOut;

#define printStr( STR ) fwrite( STR, 1, strlen( STR ), convOut )


class StringBuf
{
public:
    static char *strDup( const char *str )
    {
	char *r = alloc.get( strlen( str ) +1 );
	strcpy( r, str );
//    char *r = strdup( str );
//    printStr( r );
        return r;
    }
};

class StringList {
    char *str;
    StringList *next;
public:
    StringList()
    {
        next = 0;
    }
    void append( StringList *slist )
    {
	StringList *c = this;
	while( c->next != 0 ) c = c->next;
        c->next = slist;
    }
    void set( char *s )
    {
	str = s;
        next = 0;
    }
    void print( )
    {
	StringList *c = this;
	while( c ) {
	    printStr( c->str );
	c = c->next;
	}
    }
};

